Bug 1255666 - VM ignores boot options, skips boot from attached CD iso
VM ignores boot options, skips boot from attached CD iso
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.5.3
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: nobody nobody
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-21 05:38 EDT by Andrei Stepanov
Modified: 2015-08-25 10:07 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-25 10:07:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Engine log (set options + boot) (16.94 KB, text/plain)
2015-08-24 09:25 EDT, Andrei Stepanov
no flags Details
XML domain config from host (6.54 KB, text/plain)
2015-08-24 09:36 EDT, Andrei Stepanov
no flags Details
vdsm start machine log (63.71 KB, text/plain)
2015-08-24 09:42 EDT, Andrei Stepanov
no flags Details
VM config screenshot (161.25 KB, image/jpeg)
2015-08-24 09:46 EDT, Andrei Stepanov
no flags Details
psql (4.24 KB, text/plain)
2015-08-25 09:01 EDT, Andrei Stepanov
no flags Details

  None (edit)
Description Andrei Stepanov 2015-08-21 05:38:58 EDT
Red Hat Enterprise Virtualization Manager Version: 3.5.3.1-1.4.el6ev 

We have stable RHEV installation.

RHEV installation has an ISO domain, where many ISO images are hosted.

Steps:

Select VM
Go to its Boot options
Attach to VM some bootable ISO image.
Turn ON VM.

Bug:
During boot VM ignores boot options & order.
It does not see attached ISO.

It reproduces for all VMs and any ISO.

Interesting thing, that before it worked successfully on the same RHEV installation.

XML for the VM domain does not have any mention about attached ISO. It does not have any entry in XML for attached ISO.

I can see mounted ISO domain at host:

10.34.73.3:/nfs/iso on /rhev/data-center/mnt/10.34.73.3:_nfs_iso type nfs4 (rw,relatime,vers=4.0,rsize=131072,wsize=131072,namlen=255,soft,nosharecache,proto=tcp,port=0,timeo=600,retrans=6,sec=sys,clientaddr=10.34.73.68,local_lock=none,addr=10.34.73.3)

And it is accessible:

md5sum /rhev/data-center/mnt/10.34.73.3\:_nfs_iso/f1f6b114-af0e-4f28-8e3f-50bea05ad635/images/11111111-1111-1111-1111-111111111111/Fedora-17-x86_64-netinst.iso 
d6b9ab1a5b66290e373f345c178c21bd  /rhev/data-center/mnt/10.34.73.3:_nfs_iso/f1f6b114-af0e-4f28-8e3f-50bea05ad635/images/11111111-1111-1111-1111-111111111111/Fedora-17-x86_64-netinst.iso
Comment 1 Omer Frenkel 2015-08-23 03:42:14 EDT
please attach relevant engine.log and vdsm.log from the host that runs the vm
Comment 2 Andrei Stepanov 2015-08-24 09:25:19 EDT
Created attachment 1066393 [details]
Engine log (set options + boot)
Comment 3 Andrei Stepanov 2015-08-24 09:36:29 EDT
Created attachment 1066395 [details]
XML domain config from host
Comment 4 Andrei Stepanov 2015-08-24 09:42:10 EDT
Created attachment 1066396 [details]
vdsm start machine log
Comment 5 Andrei Stepanov 2015-08-24 09:46:01 EDT
Created attachment 1066398 [details]
VM config screenshot
Comment 6 Andrei Stepanov 2015-08-24 09:49:54 EDT
Interesting thing, that VM successfully boots from attached CD if I in
admin portal -> vm -> right click -> Run Once -> Boot options -> push up cdrom in 
Boot sequence.
Comment 7 Omer Frenkel 2015-08-24 13:30:24 EDT
Thank you, from the log its clear, your vm does not have cdrom device!
i wonder how this could have happened...
what is the source of this vm (imported/created from a template/created from blank template)?
not likely, but still... did anyone (by mistake?) modified the vm_devices table in the db?

if no one touched the db, and this vm created from template (not important which) that still exist in the db, could you please check in the db if this template has cdrom device?

to check if the template still exist in the db, run:
select * from vm_static where vm_guid= (select original_template_id from vm_static where vm_name = 'b2');

to check if the template has cd rom device, run:
select * from vm_device where device='cdrom' and vm_id=(select original_template_id from vm_static where vm_name='b2');
Comment 8 Andrei Stepanov 2015-08-25 09:01:54 EDT
Created attachment 1066856 [details]
psql

This is output for requested commands
Comment 9 Andrei Stepanov 2015-08-25 10:07:37 EDT
I have re-created VMs.
Now they can see attached CD.

Note You need to log in before you can comment on or make changes to this bug.